Name: 	 	tagtool
Version: 	0.12.3
Release: 	%mkrel 11

Summary: 	Audio file (MP3/OGG) tag editor
License:	GPLv2
Group:		Sound/Utilities
Url:		http://sourceforge.net/projects/tagtool/
Source0:	http://prdownloads.sourceforge.net/tagtool/%{name}-%{version}.tar.bz2
Patch0:		tagtool-0.12.3-fedora-DSOLink.patch

BuildRequires:	pkgconfig 
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel 
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	id3lib-devel 
BuildRequires:	pkgconfig(vorbis) 
BuildRequires:	pkgconfig(ogg)
BuildRequires:	perl(XML::Parser) 
BuildRequires:	desktop-file-utils

%description
Audio Tag Tool is a program to manage the information fields in MP3 and Ogg
Vorbis files, commonly called tags. Tag Tool can be used to edit tags one by
one, but the most useful features are the ability to easily tag or rename
hundreds of files at once, in any desired format. The mass tag and mass
rename features can handle filenames in any format thanks to an easily
configurable format template.

%prep
%setup -q
%autopatch -p0

%build
%configure
%make

%install
%makeinstall

#menu

sed -i -e 's|False|false|g' %{buildroot}/%{_datadir}/applications/tagtool.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Audio" \
  --add-category="AudioVideo" \
  --add-category="AudioVideoEditing" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}/%{_liconsdir}
convert -size 48x48 pixmaps/TagTool.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert -size 32x32 pixmaps/TagTool.png %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert -size 16x16 pixmaps/TagTool.png %{buildroot}/%{_miconsdir}/%{name}.png
rm -f %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog README NEWS THANKS TODO
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/hicolor/*/apps/TagTool.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.12.3-11.mga8
+ Revision: 1517376
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.12.3-10.mga7
+ Revision: 1301308
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.12.3-9.mga6
+ Revision: 952292
- Mageia 6 Mass Rebuild

* Mon Feb 16 2015 luigiwalser <luigiwalser> 0.12.3-8.mga5
+ Revision: 814990
- do not own hicolor icon-cache or directories

* Wed Oct 15 2014 umeabot <umeabot> 0.12.3-7.mga5
+ Revision: 746674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.3-6.mga5
+ Revision: 689681
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.12.3-5.mga4
+ Revision: 519436
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.12.3-4.mga3
+ Revision: 384030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 jquelin <jquelin> 0.12.3-3.mga3
+ Revision: 322345
- include (reworked) patch from fedora to make tagtool link
- rpm group change

* Mon Feb 28 2011 tux99 <tux99> 0.12.3-2.mga1
+ Revision: 61381
- cleaned up the imported spec-file:
  - fixed license
  - changed URL as old one was no longer working
  - removed pre/postinst scripts for old MDV versions
  - removed obsolete desktop category
- imported package tagtool


* Sun Sep 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.12.3-2mdv2010.0
+ Revision: 445346
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0.12.3-1mdv2009.1
+ Revision: 332996
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.12.2-2mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - import tagtool

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.12.2-2mdv2007.0
- %%mkrel
- xdg menu

* Sun May 29 2005 Austin Acton <austin@mandriva.org> 0.12.2-1mdk
- 0.12.2
- source URL

* Tue Feb 8 2005 Austin Acton <austin@mandrake.org> 0.12-1mdk
- initial package
